Create a chat completion
curl --request POST \
--url https://alterhq.com/api/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
}
],
"temperature": 1,
"top_p": 0.5,
"n": 2,
"stream": true,
"stop": "<string>",
"max_tokens": 2,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "<string>",
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>"
}
}
]
}
'import requests
url = "https://alterhq.com/api/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
}
],
"temperature": 1,
"top_p": 0.5,
"n": 2,
"stream": True,
"stop": "<string>",
"max_tokens": 2,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "<string>",
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [{content: '<string>', name: '<string>', tool_call_id: '<string>'}],
temperature: 1,
top_p: 0.5,
n: 2,
stream: true,
stop: '<string>',
max_tokens: 2,
presence_penalty: 0,
frequency_penalty: 0,
logit_bias: {},
user: '<string>',
tools: [
{
type: '<string>',
function: {name: '<string>', parameters: {}, description: '<string>'}
}
]
})
};
fetch('https://alterhq.com/api/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}API Reference
Create a chat completion
POST
/
v1
/
chat
/
completions
Create a chat completion
Authorizations
Bearer token issued by the Alter macOS app.
Body
application/json
Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
0 <= x <= 1Required range:
x >= 1Required range:
x >= 1Required range:
-2 <= x <= 2Required range:
-2 <= x <= 2Show child attributes
Show child attributes
Was this page helpful?
⌘I